import tarfile
import os
import shutil

from util import download,rm,mkdir
import config

tmpDir = config.get("tmpDir")
installDir = config.get("installDir")
discordUrl = config.get("discordUrl")

def install():
    rm(tmpDir)
    mkdir(tmpDir)
    
    print("Downloading Discord...")
    download(discordUrl, "discord.tar.gz")
    
    print("Extracting..." )
    file = tarfile.open(tmpDir+"/discord.tar.gz")
    mkdir("/tmp/dup/discord")
    file.extractall(tmpDir+"/discord")
    file.close()
    
    print("Installing...")
    rm(installDir)
    shutil.move(tmpDir+"/discord/Discord", installDir)

    os.symlink(installDir + "/Discord", config.get("linkDir"))
    
    print("Running post-install tasks... (Your Discord client will close)")
    # TBA
    
    print("Cleaning up...")
    rm(tmpDir)

def uninstall():
    rm(config.get("installDir"))
    rm(config.get("tmpDir"))
    rm(config.get("confDir"))
    rm(config.get("linkDir"))